If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Release Notes for Mozilla 0.9.1

VERIFIED FIXED

Status

Documentation
Help Viewer
VERIFIED FIXED
17 years ago
15 years ago

People

(Reporter: asa, Assigned: Jatin Billimoria)

Tracking

Details

(URL)

(Reporter)

Description

17 years ago
Please comment here with items that should be added to or removed from the
release notes for Mozilla 0.9.1 (use http://www.mozilla.org/releases/mozilla0.9/
the relnotes from 0.9 as a starting point.)  

If you can comments with a bug number and a brief description of the problem to
this report that would be extremely helpful. thanks.
(Reporter)

Comment 1

17 years ago
.
QA Contact: rudman → asa
(Reporter)

Comment 2

17 years ago
bug 80274 

"Mozilla ignores alternative keyboard mapping.  All keyboard mappings ignored
and treated as QWERTY."  something like that :)

Comment 3

17 years ago
http://bugzilla.mozilla.org/show_bug.cgi?id=59321

I'm not sure how best to word this.  The bug is fairly technical.
(Reporter)

Comment 4

17 years ago
bug 80890 with workaround comment something like 

"a common solution to this problem is to configure your backup scripts to skip
over any cache directories.  if this is inconvenient, you could also edit
all.js (in the mozilla distribution) and set the pref:

pref("browser.cache.disk_cache_size", 5000); // set cache size to 5Mb"

(Reporter)

Comment 5

17 years ago
bug 71685 Bookmarks in Sidebar are blank.
This affects you if you have used the sidebar blank bookmarks workaround or your
profile was created between early March and late May. If you have a pre ~11
March profile for which you never used the sidebar blank bookmarks workaround or
a post ~23 May profile this probably doesn't affect you. 

If you have a profile which was created before about March 11 and you used the
workaround between about March 11 and May 23 then you will have to use the
workaround again.  If you have a profile which was created between about March
11 and May 23 then you will have to use the workaround now. 

Workaround:

1. open browser
2. view sidebar
3. click "Tabs" button at top right of sidebar
4. select "Customize Sidebar" menuitem
5. select "Bookmarks" from "Tabs in My Sidebar" list
6. click the "Remove" button below the list of "Tabs in My sidebar"
7. click OK
8. click "Tabs" button at top right of sidebar
9. select "Customize Sidebar" menuitem
10 select "Bookmarks" from "Available Tabs" list
11 click the "Add" button below the list of "Available Tabs" list
12 click OK

note: just unchecking the tab from the "Tabs>" menu and rechecking it will not
fix the problem.

(I know this is a lot for a release note, not sure if it can be made any
shorter.  Perhaps I can put all the relevant steps on a webpage and we can just
have a single item like "If your Bookmarks Sidebar panel is blank please take a
look at <insert link> for the workaround.  Also, any grammar, structure or
spelling errors should be fixed)



Comment 6

17 years ago
Bug 59548: Laurel's comments follow... Please include mention of this in the 
release notes --

------- Additional Comments From laurel@netscape.com 2001-05-23 15:40 -------

This is bugging me... I assume the case I'm going to describe is part of this 
problem (or should it be/is it logged separately?):  When you edit a draft 
authored by an account which is not the default account and it saves to local 
draft folder, the draft is saved in the local folders drafts with the right 
identity showing. When you open/edit the draft, the identity is reset to the 
default account's identity and then sent showing the default identity.  I don't 
know if we should tip off the user to this in help or release notes?

Comment 7

17 years ago
Release Note items for Composer:
Edit|PasteAs function not functioning -- 73286 and 41547

File|Open Web Location, selecting to render in Composer does not open document 
in composer

Imagemap option on Image dialog was removed, this will be readded at a future 
date

When saving remote files, assocaited images are not saved -- 36419 and 51746

Switching between Normal and HTML Source mode inserts br elements -- 46227

Cannot print HTML Source -- 82239

Numerous shortcut keys do not function properly

Hourglass does not render when application is busy -- 83300

Broken image icon does not display in the application -- 58646

Some element icons do not render in ShowAllTags mode -- 82465 and 82459

List editing can cause nested lists to outdent to next level list -- 52675

Copy/paste in list items can cause incorrect nesting -- 57477

Large caret displays on the far right side after soome types of list editing -- 
66579 and 82421

Remove option from personal spell check dictionary does not work -- 43348

Comment 8

17 years ago
bug #s for keybinding/event issues in Composer:
26264, 43433, 48951, 57805, 61355, 70630, 57967, 58332, 58712, 4302, 26269,
53505, 76925, 80384, 60459, 57700, 67142, 5701, 69740, 48375

Comment 9

17 years ago
in composer, the imagemap editor button removed from image insert dialog is bug
# 82802, there has not been a bug opened to re-add the button

Comment 10

17 years ago
in composer, file web location bug # is 71426
(Assignee)

Comment 11

17 years ago
OFFLINE BUGS SENT BY GARY CHAN (gchan):

    * Preferences| Offline - Startup Mode prefs will not work (front end
problem) 82487
    * Mail Problems
          * File|Offline|Offline settings doesn't currently work. bug 79267
          * MAC bug: File|Work Offline should change to Work Online when offline
bug 65569
          * MAC bug: if you close all windows but the application is still
running and you go to File|Offline nothing happens. bug 75660
          * Offline icons in Search, History, and 'Subscribe to newsgroup
window' do not work. bug 79801, 80970
          * Saving a downloaded file (as text, html, eml, template) while in
offline mode will not work. bug 81690
          * Possible refreshing/display problems if you collapse/expand various
mail/news accounts in Select Folders for Offline usage window. bug 83555
          * Can't display image attachments once downloaded but can save them.
bug 83709
          * When composing a brand new mesage (Copies and Folders pref) bug 64417
                * can't save a draft to a online imap folder, only to a local folder
                * can't save a template to an online imap folder, only to
template folder on local folders
          * If you are downloading and synching, you can't stop it and expect it
to restart and remember where you left off. bug 80110
          * Preferences in the Download and Sync Now window aren't remembered
each time

             you bring up that window. The current default is only "send unsent
messages"
             is checked. If you uncheck that pref or select one of the other
prefs, it
             will not be 'remembered' the next time you Download and Sync.
          *  Bug 79555 Don't think "Compact folders when it will save over x kb
" is implemented yet? Not sure on this one.

    *   News problems
          * For Offline & Disk Space pref
                * These prefs aren't remembered
                      * Do not download messags locally larger than x kb
(related bugs 76388,79554. Need to file a new specific bug for this feature)
                      * Compact folders when it will save over x kb   Bug 82984,
82751
                      * compact folders in general(it's a global pref but stuck
in an individual account basis bug

                      *  79554) Remove message bodies only older than x days
                * No default value displayed for pref 'When it's time to clean
up messages' bug 80194
                * GUI initially may not be totally displayed and the user may
have to resize the window to display the whole thing. bug 80134
          * Can't download a brand new newsgroup unless you have previously
opened the newsgroup and have gotten the headers first. bug 84061
    * General Problems
          * Messages that are downloaded are displayed in italic mode 73808 (not
really problem per se but should be released noted to inform the user why they
are in italic)
          * For Linux, there is a known bug 82468 involving working offline and
online. Once you go offline, then go online and try to do anything in the
browser or messenger, you will hang due to a DNS problem.

    * Other bugs that you might want to release note?
          * Creating a new folder while offline won't work (not supposed to?)
          * send later when the local mail folder directory doesn't exist
silently fails 83682
          * I still think "send later" is little flakey. It works but I think
there are some cases when it will not work but haven't narrowed it down yet.
bug 79179 - on linux, creating a profile other than the initial one will cause
mozilla to hang. Exiting and restarting lets you choose the profile and will
start with it as well. (this is a pretty severe bug)

Comment 13

17 years ago
all items on this page have been taken care of

Mozilla 0.9 release notes were checked in based on v1.8 of 
/releases/full-release-notes.shtml.

http://mozilla.org/releases/mozilla0.9.1/

working on fixing some problems found by people on irc.

Comment 14

17 years ago
we should add that 0.9.1 is the first version having XSLT support included by 
default :)

Comment 15

17 years ago
... and that bug 73936 will cause some considerable problems, which will force 
web developers to render HTML serverside, until it's fixed :-/ (hopefulle in 
0.9.2)
Sorry for commenting so late, but in bug 82595, we had a crash (win) hang
(mac/linux) when you clicked on a newsgroup.  The reason for this crash has been
fixed (it was a corrupt storage in the .msf file for the corresponding
newsgroup).  There are two workarounds:
1.  Create a new profile.
2.  Unsubscribe from the newsgroup, shutdown (which deletes the .msf) and then
subscribe to that newsgroup again.

This crash will not occur for new users, only for existing users until they've
overwritten this .msf file.

Comment 17

17 years ago
Bug 83919: can't use arrow keys or edit commands in location bar if the location
bar received focus when the browser window was created.

Workaround: use Ctrl+L instead of Shift+Home to select the URL, or click in the
content area and then refocus the location bar.
(Assignee)

Comment 18

17 years ago
Submitted to me by Matt Fisher:
Clicking on the Search button the first time reverts your preferences to
Netscape Search. This does not happen after you set the Default Search Engine
preference again.
http://bugzilla.mozilla.org/show_bug.cgi?id=82041
(Assignee)

Comment 19

17 years ago
from above:
Bug 82041

Comment 20

17 years ago
Unless 81695 gets fixed, I'd like to add

"There are known issues with Address Autocomplete where your message may get
inadvertantly sent to the wrong person.  If you enable Address Autocomplete,
please double-check your To:, Cc:, and Bcc: recipients carefully before you
press the Send button."

Comment 21

17 years ago
i've updated release notes again. comments after 2001-06-07 08:15 need to
be added

Comment 22

17 years ago
s/1686/i686/

Bugzilla Bug 76397 Profile migration uses the wrong bookmarks file 
Files Created or Used
this is missing a bunch. Here's a quick description stolen from another bug 
(accuracy of descriptions is not guaranteed)
<q src="Bug 76431" title="Don't mention this bug number, it's just where I 
happened to analyze the files in my profile">
Ok, so lemme quickly enumerate all files in my profile:
bookmarks.html
*this is not guaranteed to be the one that was actually used by netscape 4 see 
bug 76397 
panels.rdf
* I think this file relates to sidebar panels.
localstore.rdf
* most user clicks that aren't buttons result in changes to properties that we 
persist here. This includes things like window size, position, which toolbars 
are collapsed or visible.
search.rdf
* this contains the list of sherlock search sidebar engines (say that 0times 
slow) see sherlock references.
mimeTypes.rdf
* this controls helper application associations.  On windows we fall back to 
the OS associations.  on Linux we do not (see bug 52441). on MacOS we do not 
(see bug 68514 about internet config support --helpwanted).
prefs.js

history.dat
* this stores history =)
cookies.txt

cert7.db
certificates database
key3.db
security key database
secmod.db
ask PSM

panacea.dat
* this is some sort of mail file, it seems to list all known mail folders. not 
necessarily still present

abook.mab
* this is probably the addressbook
history.mab
* this appears to be a structure file, people probably shouldn't delete it ...

these are directoris:
US, contains: bookmarks.html panels.rdf localstore.rdf search.rdf 
mimeTypes.rdf -- all of which were already addressed, although i suspect this 
is for presets.

chrome, contains: user-locales.rdf user-skins.rdf -- users shouldn't 
force changes to these often, probably a very good idea not to change them 
while mozilla is running -- actually that applies to all files in active 
profiles ...

NewCache

userContent.css
allows users to affect web pages by entering css style code. see http:// blah 
and blah and perhaps some bug

userChrome.css
like userContent, but it allows the user to control the application Chrome, 
perhaps hiding text or changing colors or various stuff.

an old mozilla.org document (some of which shouldn't be unix specific) can be 
found at http://www.mozilla.org/unix/customizing.html 
css referneces are best found by searching the 
web... a quick google search found: 
http://www.kramm.org/graymodern/userchrome.html 
http://chameleon.mozdev.com/source/browse/snippets/src/user-stylesheet/flash_in
_xul/flashinxul/?sortby=date
</q>
Event Handling
Linux and Windows are listed twice

Setting Profiles
Two linux entries, one mentions '(that is, type "mozilla.exe-installer" on the 
command line.)'

Note: Your prefs.js file is located in the Users50 directory on Windows and Mac 
OS, and in the .mozilla directory on Linux. 

I think it's Profiles these days.

Mozilla has been tested only with J2SE v1.3.0_01. Other J2SE releases, or 
previous JDK's from Sun, will not work with Mozilla.
-- I've been using 1.3.0_02 for windows w/ mozilla and there's now a 1.3.1 for 
linux or so i've read, we should probably get more info.

Running J2SE in 256-color mode may cause a flicking problem. 
this is not limited to j2se but applies to mozilla in general.

Linux: Mozilla on Linux and Solaris includes J2SE v1.3.0_01. The Java support 
on Linux and Solaris is not complete (for instance, LiveConnect is not yet 
enabled), but will be functional in a later release.
This duplicates the general Java warning.

We still don't support live connect, right?

General and Profile Manager
OSs should be bold consistently.

I should dig up the profile manager bugs, i'll do that later.

POP and Local message body search does not work with non-Latin 1 key words. 
s/key words/keywords/ ? and is Latin 1 supposed to be hyphenated or something?

Talkback:
Some users have reported being unable to submit talkback data (windows only?) 
it might be related to slow dialup connections (<= ~26400).  DrWatson crash 
reports and debug callstacks are also useful. -- No bug number.

Comment 23

17 years ago
userChrome.css & userContent.css now live in the chrome dir inside your profile.

BugDay is now on Wednesdays instead of Tuesdays.

Comment 24

17 years ago
add -turbo to what's new

Comment 25

17 years ago
The section on wheel mice is quite repeatative.  There are two header for both
Windows and Linux and they both say the same thing.

Comment 26

17 years ago
About JRE issues: the JRE 1.3.1 will work on both Linux and Win32 ports of
Mozilla.  For Solaris, it's more complex: if Mozilla was compiled on Solaris
with EGCS (a.k.a. gcc), the Java Plug-In that comes with JRE 1.3.0_X and 1.3.1
will work; if Mozilla was compiled with Forte 6, the Java Plug-Ins with those
JRE's will *not* work; the first Java Plug-In that *will* work is the one that
comes with JRE 1.4, due later this year.
Small typo with the release notes...
Under Known Problems -> General
You must use a talkback enabled build to send crash data to mozilla.org for
analisis.

should read:
You must use a talkback enabled build to send crash data to mozilla.org for
analysis.
(Assignee)

Comment 28

17 years ago
All bugs added up to this point are noted, except the one by timeless@mac.com.

Comment 29

17 years ago
please add bug 85218 and bug 84354

Comment 30

17 years ago
timeless: i dont see any resolutions in those bugs. what text do you propose
to have added to the release notes? (re bug 85218 and bug 84354)

Comment 31

17 years ago
for bug 85218, if you choose to use the contributed redhat rpm's w/ suse you'll 
need to get
http://rpmfind.net/linux/rpm2html/search.php?query=gdk-pixbuf
but it's recommended that you instead get the contributed mozilla suse package

for bug 84354 the contributed redhat rpm's require XIE which is not included w/ 
the default redhat xfree86 4.1.0 libs. Workarounds include building xfree 4.1.0 
w/ XIE, perhaps getting just that lib, or getting a different mozilla package 
(I think that the mozilla.org builds do not require XIE).
Please add this: 
"Missing entry point" on startup or form submission : bug 71010, there are many 
dupes and many bugs are marked invalid/worksforme etc

Comment 33

17 years ago
added item for timeless's bugs in his 2001-06-13 11:52 comment


bug 71010 was marked fixed but seemed not to be so i reopened it
since i didn't see anything that should be relnoted.

Comment 34

17 years ago
The JAVA section should talk about JDK 1.3.1, which contain OJI for mozilla.
Aditionally, some info related to JDK 1.4beta and Java Webstart (part of 
1.4beta) would be useful.

Comment 35

17 years ago
lets retire this bug and move all further comment to the 0.9.2 bug 85563
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED

Comment 36

15 years ago
v
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.